## marble 1.5.5-1

=== data/CMakeLists.txt ===
install (FILES
credits_authors.html
credits_data.html
legend.html
legend.css
DESTINATION ${MARBLE_DATA_INSTALL_PATH})

FILE (GLOB LEGEND_FILES *.leg)
install (FILES ${LEGEND_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH})

FILE (GLOB BITMAP_FILES bitmaps/*.png)
install (FILES ${BITMAP_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps)

FILE (GLOB BITMAP_POI_FILES bitmaps/poi/*.png)
install (FILES ${BITMAP_POI_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps/poi)

FILE (GLOB BITMAP_FILES bitmaps/*.jpg)
install (FILES ${BITMAP_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps)

install (FILES 
svg/marble-logo.svg
svg/marble-logo.png
svg/marble-logo-32dpi.png
svg/marble-logo-72dpi.png
svg/marble-logo-inverted-32dpi.png
svg/marble-logo-inverted-72dpi.png
svg/application-x-marble.svg
svg/application-x-marble.png
svg/application-x-marble-gray.png
svg/worldmap.svg
svg/lunarmap.svg
svg/coordinate.svg
svg/wikipedia.svg
svg/wikipedia_shadow.svg
svg/sunshine.png
svg/sun.png
svg/track_turtle.svg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/svg)

FILE (GLOB SVG_FILES flags/*.svg)
install (FILES ${SVG_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/flags)

install (FILES
maps/earth/citylights/citylights.jpg
maps/earth/citylights/citylights.dgml
maps/earth/citylights/citylights-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/citylights)

install (FILES
maps/earth/citylights/legend/city.png
maps/earth/citylights/legend/lightterrain.png
maps/earth/citylights/legend/darkterrain.png
maps/earth/citylights/legend/water.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/citylights/legend)

install (FILES
maps/earth/clouds/0/000000/000000_000000.jpg
maps/earth/clouds/0/000000/000000_000001.jpg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/clouds/0/000000)

install (FILES
maps/earth/srtm/srtm.dgml
maps/earth/srtm/srtm-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm)

install (FILES
maps/earth/srtm2/srtm2.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm2)

install (FILES
maps/earth/srtm2/0/000000/000000_000000.png
maps/earth/srtm2/0/000000/000000_000001.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm2/0/000000)

if(NOT TILES_AT_COMPILETIME)
install (FILES
maps/earth/srtm/srtm.jpg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm)
endif(NOT TILES_AT_COMPILETIME)

install (FILES
maps/earth/bluemarble/bluemarble.jpg
maps/earth/bluemarble/bluemarble.dgml
maps/earth/bluemarble/bluemarble-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/bluemarble)

install (FILES
maps/earth/bluemarble/legend/ice.png
maps/earth/bluemarble/legend/mountain.png
maps/earth/bluemarble/legend/vegetation.png
maps/earth/bluemarble/legend/desert.png
maps/earth/bluemarble/legend/water.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/bluemarble/legend)

install (FILES
maps/earth/plain/plain.dgml
maps/earth/plain/plain-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/plain)

install (FILES
maps/earth/openstreetmap/openstreetmap.dgml
maps/earth/openstreetmap/openstreetmap-preview.png
maps/earth/openstreetmap/legend.html
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/openstreetmap)

install (FILES
maps/earth/openstreetmap/legend/airportapron.png
maps/earth/openstreetmap/legend/motorway.png
maps/earth/openstreetmap/legend/track.png
maps/earth/openstreetmap/legend/airportrunway.png
maps/earth/openstreetmap/legend/primaryroad.png
maps/earth/openstreetmap/legend/tram.png
maps/earth/openstreetmap/legend/boundary.png
maps/earth/openstreetmap/legend/railway.png
maps/earth/openstreetmap/legend/trunkroad.png
maps/earth/openstreetmap/legend/bridge.png
maps/earth/openstreetmap/legend/railwaystation.png
maps/earth/openstreetmap/legend/tunnel.png
maps/earth/openstreetmap/legend/bridleway.png
maps/earth/openstreetmap/legend/secondaryroad.png
maps/earth/openstreetmap/legend/unclassifiedroad.png
maps/earth/openstreetmap/legend/byway.png
maps/earth/openstreetmap/legend/significantbuilding.png
maps/earth/openstreetmap/legend/unsurfacedroad.png
maps/earth/openstreetmap/legend/cycleway.png
maps/earth/openstreetmap/legend/subway.png
maps/earth/openstreetmap/legend/footway.png
maps/earth/openstreetmap/legend/summitpeak.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/openstreetmap/legend)

install (FILES
maps/earth/openstreetmap/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/openstreetmap/0/0)

install (FILES
maps/earth/hillshading/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hillshading/0/0)

install (FILES
maps/earth/public-transport/public-transport.png
maps/earth/public-transport/legend.html
maps/earth/public-transport/public-transport.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/public-transport)

install (FILES
maps/earth/public-transport/legend/train_station.png
maps/earth/public-transport/legend/subway_station.png
maps/earth/public-transport/legend/light_rail_station.png
maps/earth/public-transport/legend/bus_stop.png
maps/earth/public-transport/legend/tram_station.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/public-transport/legend)

install (FILES
maps/earth/public-transport/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/public-transport/0/0)

install (FILES
maps/earth/hikebikemap/hikebikemap.dgml
maps/earth/hikebikemap/hikebikemap-preview.png
maps/earth/hikebikemap/legend.html
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hikebikemap)

install (FILES
maps/earth/hikebikemap/legend/access_no.png
maps/earth/hikebikemap/legend/bridleway.png
maps/earth/hikebikemap/legend/cycleway.png
maps/earth/hikebikemap/legend/farmland.png
maps/earth/hikebikemap/legend/footway.png
maps/earth/hikebikemap/legend/meadow_stream.png
maps/earth/hikebikemap/legend/motorway.png
maps/earth/hikebikemap/legend/parking_building.png
maps/earth/hikebikemap/legend/path.png
maps/earth/hikebikemap/legend/power_tower_line.png
maps/earth/hikebikemap/legend/primary.png
maps/earth/hikebikemap/legend/rail.png
maps/earth/hikebikemap/legend/residential.png
maps/earth/hikebikemap/legend/secondary.png
maps/earth/hikebikemap/legend/tertiary.png
maps/earth/hikebikemap/legend/track1.png
maps/earth/hikebikemap/legend/track2.png
maps/earth/hikebikemap/legend/track3.png
maps/earth/hikebikemap/legend/track4.png
maps/earth/hikebikemap/legend/track5.png
maps/earth/hikebikemap/legend/water_allotments.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hikebikemap/legend)

install (FILES
maps/earth/hikebikemap/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hikebikemap/0/0)

install (FILES
maps/earth/hikebikemap/lighting/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hikebikemap/lighting/0/0)

install (FILES
maps/earth/temp-july/temp-july.jpg
maps/earth/temp-july/temp-july-preview.png
maps/earth/temp-july/temp-july.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/temp-july)

install (FILES
maps/earth/temp-dec/temp-dec.jpg
maps/earth/temp-dec/temp-dec-preview.png
maps/earth/temp-dec/temp-dec.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/temp-dec)

install (FILES
maps/earth/precip-july/precip-july.jpg
maps/earth/precip-july/precip-july-preview.png
maps/earth/precip-july/precip-july.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/precip-july)

install (FILES
maps/earth/precip-dec/precip-dec.jpg
maps/earth/precip-dec/precip-dec-preview.png
maps/earth/precip-dec/precip-dec.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/precip-dec)

install (FILES
maps/earth/schagen1689/legend.html
maps/earth/schagen1689/schagen1689.jpg
maps/earth/schagen1689/schagen1689.dgml
maps/earth/schagen1689/schagen1689-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/schagen1689)

install (FILES
maps/earth/schagen1689/legend/mountain.png
maps/earth/schagen1689/legend/town.png
maps/earth/schagen1689/legend/river.png
maps/earth/schagen1689/legend/lake.png
maps/earth/schagen1689/legend/schagen_title.png
maps/earth/schagen1689/legend/schagen_orig.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/schagen1689/legend)

install (FILES
maps/moon/clementine/clementine.jpg
maps/moon/clementine/clementine-preview.png
maps/moon/clementine/legend.html 
maps/moon/clementine/clementine.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/moon/clementine)

install (FILES
weather/bbc-stations.xml
weather/weather-clear-night.png
weather/weather-clear.png
weather/weather-clouds-night.png
weather/weather-clouds.png
weather/weather-few-clouds-night.png
weather/weather-few-clouds.png
weather/weather-hail.png
weather/weather-many-clouds.png
weather/weather-mist.png
weather/weather-none-available.png
weather/weather-showers-day.png
weather/weather-showers-night.png
weather/weather-showers-scattered-day.png
weather/weather-showers-scattered-night.png
weather/weather-showers-scattered.png
weather/weather-showers.png
weather/weather-snow-rain.png
weather/weather-snow-scattered-day.png
weather/weather-snow-scattered-night.png
weather/weather-snow-scattered.png
weather/weather-snow.png
weather/weather-storm-day.png
weather/weather-storm-night.png
weather/weather-storm.png
weather/wind-arrows.svgz
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/weather)

install (FILES
licenses/lgpl2.txt
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/licenses)

install (FILES
mwdbii/DATELINE.PNT
mwdbii/PCOAST.PNT
mwdbii/PDIFFBORDER.PNT
mwdbii/PGLACIER.PNT
mwdbii/PISLAND.PNT
mwdbii/PLAKEISLAND.PNT
mwdbii/PLAKE.PNT
mwdbii/PUSA48.DIFF.PNT
mwdbii/RIVER.PNT
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/mwdbii)

FILE (GLOB STAR_FILES stars/*.dat)
install (FILES
  ${STAR_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/stars)

install (FILES
placemarks/elevplacemarks.cache
placemarks/otherplacemarks.cache
placemarks/baseplacemarks.cache
placemarks/moonlandingsites.cache
placemarks/boundaryplacemarks.cache
placemarks/moonterrain.cache
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks)

if(MOBILE)
    install (FILES placemarks/cityplacemarks_large_population.cache DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks RENAME placemarks/cityplacemarks.cache)
else(MOBILE)
    install (FILES placemarks/cityplacemarks.cache DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks)
endif(MOBILE)

FILE (GLOB LANG_FILES lang/marble-*)
install (FILES
  ${LANG_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/lang)

if(NOT APPLE AND NOT WIN32)
  install (FILES icons/hi128-app-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/128x128/apps/ RENAME marble.png)
  install (FILES icons/hi64-app-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/64x64/apps/ RENAME marble.png)
  install (FILES icons/hi48-app-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/apps/ RENAME marble.png)
  install (FILES icons/hi32-app-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/32x32/apps/ RENAME marble.png)
  install (FILES icons/hi22-app-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/22x22/apps/ RENAME marble.png)
  install (FILES icons/hi16-app-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/16x16/apps/ RENAME marble.png)
endif(NOT APPLE AND NOT WIN32 )

FILE (GLOB AUDIO_FILES audio/*.ogg)
install (FILES
  ${AUDIO_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/audio)
install (DIRECTORY audio/speakers DESTINATION ${MARBLE_DATA_INSTALL_PATH}/audio)

FILE (GLOB_RECURSE DGML_FILES maps/*.dgml)
MARBLE_ADD_PROJECT_RESOURCES(${DGML_FILES})

# shared-mime-info 0.40 is mandatory for generic-icon
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
find_package( SharedMimeInfo QUIET )
IF( SHAREDMIMEINFO_FOUND )
  install( FILES mimetypes/geo.xml  DESTINATION ${XDG_MIME_INSTALL_DIR} )
  update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )
ENDIF()

=== src/plugins/positionprovider/CMakeLists.txt ===
ADD_SUBDIRECTORY( flightgear )

macro_optional_find_package(libgps)
IF(LIBGPS_FOUND)
     MESSAGE( STATUS "Building with gpsd position provider")
     ADD_SUBDIRECTORY( gpsd )
ELSE(LIBGPS_FOUND)
     MESSAGE( STATUS "Not building with gpsd position provider")
ENDIF(LIBGPS_FOUND)

macro_optional_find_package(liblocation)
IF(liblocation_FOUND)
     MESSAGE( STATUS "Building with Maemo GPS support")
     ADD_SUBDIRECTORY( maemo )
ENDIF(liblocation_FOUND)

FIND_PACKAGE(libwlocate)
IF(LIBWLOCATE_FOUND)
     MESSAGE( STATUS "Building with libwlocate support")
     ADD_SUBDIRECTORY( wlocate )
ENDIF()

ADD_SUBDIRECTORY( routesimulation )
ADD_SUBDIRECTORY( placemark )

# experimental implementation
# ADD_SUBDIRECTORY( geoclue )

=== debian/changelog ===
marble (1.5.5-1) fremantle; urgency=low

  * New upstream version.

 -- Bernhard Beschow <bbeschow@cs.tu-berlin.de>  Sun,  1 Sep 2013 19:28:47 +0200

=== debian/control ===
Source: marble
Section: misc
Priority: optional
Maintainer: Bernhard Beschow <bbeschow@cs.tu-berlin.de>
Build-Depends: debhelper (>= 5), cdbs, libqt4-dev, cmake, x11proto-core-dev,
 liblocation-dev, libx11-dev, libgconf2-dev, libdbus-glib-1-dev
Standards-Version: 3.9.1

Package: marble
Section: user/navigation
Architecture: any
Depends: ${shlibs:Depends}, marble-plugins (= ${source:Version}), libmarble (= ${source:Version})
Conflicts: monav-routing-daemon (= 0.3.release-3+hg5585bb4a8d77)
Description: Find your way and explore the world with Marble.
 Marble is a virtual globe with advanced routing capabilities. Use it as your
 personal navigation device to guide you to any destination in the world.
 Download maps from a variety of themes and explore the surroundings. Record
 your trip and share it with your friends.
 .
 Main features:
 - Online and offline routing
 - GPS tracking and recording (KML format)
 - Themable maps (OpenStreetMap, Satellite Map, many more)
 - Support for different projections (globe, flat map, ...) and other planets
 - Download of maps and route data for offline usage
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
XSBC-Maemo-Display-Name: Marble - Virtual Globe
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3v
 AAAN7wG9nqJDAAAAB3RJTUUH1wgYBSU4oAgYFAAAAAZiS0dEAP8A/wD/oL2n
 kwAAEElJREFUeNrtWWmMZNdV/t5Wr5ZXe3X1Ot2zeJaeLTNZDDGMY4xtWbEt
 LCUxDjZEeBFSEAgsDD9CMAShKD9ilkDAwtgBgrATWTFkhsQ/SGzsyNtkxjMe
 z3RPT+9dXd3VtXTtVe+9eo/vXpW6ZTkQCHFkibndR/f1e9VV5zvLd865havr
 6vp/vhS8C+u5b/5zMp7MvD8YDB0NmGak2+kUbaf7+lpu8a1f+MT9nfcsgG88
 /beGFY0/uHvvod9NJDMTphmEoqgUoNtp++Xyxsuzly/8/i23/eJ333MAqLxu
 mqEv7z1w5MGBwVFomg5VVeVHKETg+z7Ez/LCTCe/svDgjbd+7KvvCQB/+qWv
 BGzbzaTj6p3pdPLPU+lBXTcCcF0PPiBBBAwDUSuMUCiAWrWKTmuz6inG9aFw
 fObY0ck2Af5kATz598+ojVb7RKvdvct23A/SvAc9r2c5dguaqtD6GgAPnudB
 53UgYELTDYjlEVUwGIaial1VVS4R3JnhoczT+6/Z+d09e8Ydgnl3ALz88llM
 X1m8plSp/nLXtu+zu92xbqcB33NgaCqtG4RuGDJ0mLwwTRPhUJDXQXkdMHSC
 0NHrubBtG/VaA9V6k9KC4/r8/9C6ZYX/aSibeWz3xNjlw4ev+fEB+JvHnx6h
 tX/PduxPtVvNuNttIhwMIJ3JIBKJwKNZO90uOp0uFewhHovCsiwqHqD1AzAC
 BgxdJwjuFJ1g6CWC99Fut7FRLGGtUERlswFF06tWJPJkJp189ON33rRMj/zo
 AJ74yte0erNzf8d2H7G7nRG7XUMqEcPo6ChC4Qgcx5FKd4XyFJsSpNWjlkXF
 DYoAIJXeFgIhALlr4poilGjzfUrFMhZXVgmmDFXTCulk4nO7JoYfu+H6n3L/
 1wA+/4W/ShrB8Jd7nnd3eWMNQQM4duw4Uqk0FZdhgC5FKC4B0JKe78lQCmwr
 3AegQ4IxAtIrBq+pOEVjjkhvSBGr1epgdTWPC5dm0Oo69HTwa6riffrTv3Zv
 6X8M4A8+98WJaCz5dbfX+9BabgGZZByHDx9FNjsgE9N2HCrvoNXpoNlsSmYp
 ljbIPD04PXGfoPiaHqnT63lQ4cM0DCpjImZFMTSYxfDgEEMwjUQijnA4JEAT
 kKRegmhjeXmVIKZRb9r0lHZW8exP/PZvPjD7QwE89PAjmeHRiW/7wAdmps4j
 m0lT+SNIJZMyrukR1BtNrG9sYCGXw0apyL/rUCIxWMkUQyiEMK0e1BWYZJ/o
 6E6Y6UHYjRo65Q10Ww047ZYUlYAzUQt7xselcaK8ZiILz0nDTF+exeUrc+g4
 gKoo5yulwi1//IcPr/+XAD5+173ha6/7uacMI3DH9MU3EKQik5MHGTYpMLFk
 RZ158zw2Zq+gwByASWWtKJUOU1kD2ZFRWNlhGFYcqqBThlQgEkUgnobidOA3
 NuFVCujVy3yuAaRTR9HRbTYQgo8UDRSnyGfw4JKxZucWsLC4Amgmk7733IVz
 pz/2xON/2UR/6eiv4eFh9eixa3+dVrtteWkOTVps16EjghYlU+TW1jC/siTD
 Js3Y/5liEd7NtyKvB+EYpMlEGsGDxxGKhGUt4C80ULgr4toMUoagphiG5TX0
 ijmocBHhM8Qj8Km0y89yDQ0RhlK9WkepXJFMFaNXipU68Vo3791/6KHBwcE/
 WV9f98Clob9uuuX2QT58yve98Lkzr5JpdiCZSDLWu5haWsBqsYCIFUGarlZH
 xlFXgxh+8XkMkJHCew+iSS4HLWb6NgxaXe0rroKibInsjfSQBWwWCFSFRoQ6
 94AK6J4Lp9OGwzBNDmTojbBkuQbDqVGvkb1MhQTwwWDQ/Ic3z52pbQHIZrPq
 7Xfe/VuJZOqj8/MzfHEVIwyHFi2dY3Ka5PxMJsNkCyM4MAJr3zG00lnkylXE
 3zgDnd4YYBwHyVBwbeiKD5XhpfBnW/FtQEqrSqmBegu65K5QBBhNFkMaEU3q
 wIcYyKSQYqLn1wqo1+uwojEzEom252YuPl+tVn0VXIeOHA9Fo9E7VFont7zI
 ZIqBNR0NKpNKp8gUyS3qUzpN+HPnWKz4mhtvxZlEFuVLl9H81in4//4tTPQa
 GGqsQ3c6MsN8IegvX/xSzDBU0alSaaWPTNyX4vv9eyqq1U2s0TiKpjIPE2g1
 66COLJ7WR/ftPxzZyoEDk0cGzWDoYK/nMPYbSNLaQSuEmJmAEo5CYWgodK85
 MQkvNwNjcALG2C5krSrmjh7FhVdPY8flRezqdrD+5vcxcedtOJSMouQEUAjE
 4QurAvAE11NBrVaESitLl4DSV7xH6V/L2Odz5l9L1hqTFOy6DjzqQUPun9h1
 TRZAXQIgoqhpBCKtVhMegBBZZ2TvJELHb0BbNSSXw+nCp9s9i6yy65AMjxjD
 ZOLEzZiJppE/9S9IvnEWsWwUhS98HvVjxzB2/32IktNLtGJ7/1F42R3QmxVo
 jQogDS/dQ4X7SkNeUEkhPfTE50KRJNJwXHnNVkX0TeFoLJ4BMCsAEJmb0Ayd
 XlNgUMFYJIjUwQ/QzQbE/7l0IbQQwF2LRLesxg6TyZbFnslJzFXWUHp2FunX
 XkE4HoV7/hwKlU10T52Et7oK7H4doXvuhcowZMBvxZNU2+8Lk9eTALhTUZfC
 uiOfNekJhTlIHfvth5ICl0ph0WhoXs8VyGRVVIMRmPEkIoKqVaFuXwyToMLb
 fyuKpMfE8ChGDr8PU9dehwW6urWygshdd0Fl/kTuuQfawUPwpy6i+/WnoYrK
 rMr/3or5vtJSWSotDAqnL6LfcnivwdA2LUsWR7G63baylQO1WlVxyDjReByp
 sQnoh6+THxAlAMcHbA9wuSs/oASqBBFgURvYcwDO8RxeK64iyWSbuI7v0Y97
 8/bb0A4xaV94ASCA0N2fhM/7UvF+uyFCRoKgslIkEAkGzVaLHmhLRmCzKPN0
 s1LeAsAbdaXRqEu2GSUA9jaiUZP0OaCCvEyQLphkfcV9fxtBf+oKkbmy7/sw
 Ght5zNUq2NNm0ps+DBmaKhI33YQKZ4PaM89IiwZ/6VcAX4YKej9Yee4uLW2j
 UCpDj6UQJhhNUclGDUmpWyFE1ym5lWWojPGRqIV2qYByuQyXyZQxgLEgkOQe
 0KTaEgD3t4lBZkm2NjAymBUK0+UdzFxZhi3c1w+31IkTCN53H0r/+izW/+5J
 0fT1Q6UnOtwtseXugFMflS9JYxpDO5EdHJE6bhTWhce2PeATfpHNWYdVMMJw
 GG13sLIwh9FUDAOpMMZMIESoazZQcYCuokpv+NheKplF5YQWG9mJ1Wobr09P
 Q6eFi6ygy6sreP/kXhzYtxcJ0q756KPIfeYzKOUXof3qA1DEcOMLD0gvyG7X
 tlLo+vSEHqSXmkhwiArqqqjMEgDgb7cSO3fuybC6PQBAGRwaQiocZO9RQVvR
 EU8kkDQ1JAjVogRUSc9yeRSfbkZxBWq1AIU8rbtdhNwOB/c6mpEkWpSelcSl
 mRnML7A1j8eQGGDnecMNaP3HC7AvXYJzYBLd1Bi6pGPbCKM3th/qxCHWmr0k
 ghGgsIKxWFR6epGGLZU2RJF77MrM9JIEMDwyGo9G45+im5noFmKxGJXWsbC+
 Dls3RflGxFAR04CYDslOAcUDynTl4lvwC0tAt00wDlTGssmqHYtGkbZCbMNp
 ALbiCY1UWNvE2bNnUSmXML5rF5If+QicqSm0WT9642PwaIAe30vJjEGxEnJA
 sjlMjWsedFqtyuTdWMtjc7PSKhXX/2Jhfm5DAJBDRSKZvsOyokNiLIzF47J9
 HgjoWGIXWnEBLWzJMTCsAVGCiMNFuFuDqfpM4m1KpAiull2sPJEQFZweCZkC
 lIUwQ7TAwvba6TOSgnffchP0WhWtV1+FPTQIjO2DSnEFmOUrGKvl6XVFHIyh
 UinLBGa4Ty8tzv71+tpaUwLgDOtaVmx3Ipn8sDgC4fwL9kacoELIkInWCwXk
 qg04RhC+YUJ2lFTKEhMWgcasCEK8JkA+2wYiK2q/EEGBmIHlwMPCL4eWuYVF
 TK/kMXz8OLL0VCdXRO/EbeiQhvWVyxjvVGEogKD4BkG6ji0ZcmVl8amVpYWT
 lUqlJwHw6MPjw9JAduiTVNwU82vPdcR9KZmQyQRtYZ6z6kaH1KYF0IWKbmVD
 1AEZMmEqJo9ReC0sTxiQdNhzBcttAVGgyArOIUjODpzMmB+zqJsmhjIxNOZm
 MaC5GIJNL5IsHFsK30v2RIXCevONM68/zDBaEsVNAuCFCKMyrZLm0P4hthqq
 AMHAkEM3r+WYOBg00CoXsbS6hly9jZpiYpM0V6s3SHlNtFlwbMHfrkvFJTXK
 2Zkg+u0Bxaf0GzXOujAIhpMWX8dQGxjF7okdiJBtIjSGCkhhMZNUSqW9qUsX
 Hl9anPvq8vKy87aJjO7o9mamvkQAh5nQP99vVaQnFH5AgPHq8sN3sM8ZFb2J
 XUdhuYxV6DAiFsxISB616ATr2xzw203Y1ar8cGl9QO6u4HjRVRIo6RuJWBz7
 du4ByUMO9jzVkPlCz9KwLb7e6bcOHSwvzr947uzpP6OunXeMlMVi0efAMn/x
 rXOPJBKpcR5O7UW/vRV7gNbSfVVYVL55PGgKkYq1nQ6a1RZqGz3UmR+eZjC8
 amjlVgH4sn+RxyiqhghDMj4wCIugmWOyinPCgkXqNnSN8e5yD4iw26r1tt0F
 C+38q69877PsmOdZZP13ABBraWnJ41T02vde+s5vGIb2Rb7xQZ68KcB236MC
 ghFkBYVIZlorRMtZTPbBCLZXdBSYoLxzyfdhfMvQ4TgpZ4N2s41ef2jqL9kn
 se/xL1+emj518tmH1tfzr+RyuR6wvTS8fTHONj0qvrSWXz0XCYfHOWZOEIQq
 z/oJpdfvXWRStTtkhxp5vYzSRlEUF9Jck0WsLas6KZl7R96jiMMvPmvJ3Rd5
 0e/32XrIxKc3pLAeyWpc4OB++vuvPX/ym9/4nUJh7cV+3OO/AyAXZ02PbXVu
 eXnpdcaeGovFdxNEWNCgv910bYNxRfm32Za30KJwABHgJAiHILwe2cdHX1Fd
 Uqimb5/IcUzsK69ALIYJFhbmKs89d+ofn/v2qT8i/5+l8i64fjiAbU/4VKRY
 rVZeunDh/GlaJUgvjAGKKUBQyC5e3xvb0u9O+0IFKdy3jt23nmlyl8/7npXA
 8/lc/aWXXvi3J598/LMXL154gkZcYX56/6fT6bGxMZ31YZAnFddPTh6+Y3xi
 50+z9R41SDmcY6UHHNGAUbhEHG+JIfe+GBRNXGtbocImTijuFDcKubm5mVfO
 nTt7cnFx4XmezK0Lq/+4vh+QxyrxeJwqB5L0xDUTO3f97NjY+I08wdgVCkVG
 dMOIEosIh+2T6IAhFde2rC7CRdKpCK96rbqZL5dL8/Pzs9+ZmZl+sdVqXaEh
 NhnCDq3+7n1Dw2ZP4UmewSodp6KDVG6E9WM/+6kDBJckyBjFMk0zwhAR4dFk
 /95gQavzG8sKE3Iqn1+dIpA8FV6nBzbJLg6t7v/EvyPjdwWKoFqCUmltrS8q
 l6IJroSMb8/norKey1GLe48TlUfx8/m8j6vr6rq6fuT1n549hzEYnwXuAAAA
 AElFTkSuQmCC

Package: libmarble
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, marble-data (>= ${source:Version})
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
Description: Shared library for marble
 The marble library contains the Marble widget and many more functionality
 shared among applications embedding a Marble widget.

Package: marble-plugins
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, libmarble (= ${source:Version}), ogg-support, decoders-support
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
Description: Plugins for marble
 Extends the marble library with several features: Info boxes like a scale bar,
 search support, online and offline routing and more.
 .
 See the marble package for more information.

Package: marble-data
Section: misc
Architecture: all
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
Description: Data needed by marble at runtime
 This package contains the architecture independent data files for
 libmarble. This includes the OpenStreetMap theme, flag images and more.
 .
 See the marble package for more information.

Package: marble-maps
Section: user/navigation
Architecture: all
Depends: marble
Description: Additional maps for marble (earth and moon)
 OpenStreetMap derived map themes, educational map themes, satellite map
 themes, themes for other planets.
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
XSBC-Maemo-Display-Name: Marble Maps
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3v
 AAAN7wG9nqJDAAAAB3RJTUUH1wgYBSU4oAgYFAAAAAZiS0dEAP8A/wD/oL2n
 kwAAEElJREFUeNrtWWmMZNdV/t5Wr5ZXe3X1Ot2zeJaeLTNZDDGMY4xtWbEt
 LCUxDjZEeBFSEAgsDD9CMAShKD9ilkDAwtgBgrATWTFkhsQ/SGzsyNtkxjMe
 z3RPT+9dXd3VtXTtVe+9eo/vXpW6ZTkQCHFkibndR/f1e9VV5zvLd865havr
 6vp/vhS8C+u5b/5zMp7MvD8YDB0NmGak2+kUbaf7+lpu8a1f+MT9nfcsgG88
 /beGFY0/uHvvod9NJDMTphmEoqgUoNtp++Xyxsuzly/8/i23/eJ333MAqLxu
 mqEv7z1w5MGBwVFomg5VVeVHKETg+z7Ez/LCTCe/svDgjbd+7KvvCQB/+qWv
 BGzbzaTj6p3pdPLPU+lBXTcCcF0PPiBBBAwDUSuMUCiAWrWKTmuz6inG9aFw
 fObY0ck2Af5kATz598+ojVb7RKvdvct23A/SvAc9r2c5dguaqtD6GgAPnudB
 53UgYELTDYjlEVUwGIaial1VVS4R3JnhoczT+6/Z+d09e8Ydgnl3ALz88llM
 X1m8plSp/nLXtu+zu92xbqcB33NgaCqtG4RuGDJ0mLwwTRPhUJDXQXkdMHSC
 0NHrubBtG/VaA9V6k9KC4/r8/9C6ZYX/aSibeWz3xNjlw4ev+fEB+JvHnx6h
 tX/PduxPtVvNuNttIhwMIJ3JIBKJwKNZO90uOp0uFewhHovCsiwqHqD1AzAC
 BgxdJwjuFJ1g6CWC99Fut7FRLGGtUERlswFF06tWJPJkJp189ON33rRMj/zo
 AJ74yte0erNzf8d2H7G7nRG7XUMqEcPo6ChC4Qgcx5FKd4XyFJsSpNWjlkXF
 DYoAIJXeFgIhALlr4poilGjzfUrFMhZXVgmmDFXTCulk4nO7JoYfu+H6n3L/
 1wA+/4W/ShrB8Jd7nnd3eWMNQQM4duw4Uqk0FZdhgC5FKC4B0JKe78lQCmwr
 3AegQ4IxAtIrBq+pOEVjjkhvSBGr1epgdTWPC5dm0Oo69HTwa6riffrTv3Zv
 6X8M4A8+98WJaCz5dbfX+9BabgGZZByHDx9FNjsgE9N2HCrvoNXpoNlsSmYp
 ljbIPD04PXGfoPiaHqnT63lQ4cM0DCpjImZFMTSYxfDgEEMwjUQijnA4JEAT
 kKRegmhjeXmVIKZRb9r0lHZW8exP/PZvPjD7QwE89PAjmeHRiW/7wAdmps4j
 m0lT+SNIJZMyrukR1BtNrG9sYCGXw0apyL/rUCIxWMkUQyiEMK0e1BWYZJ/o
 6E6Y6UHYjRo65Q10Ww047ZYUlYAzUQt7xselcaK8ZiILz0nDTF+exeUrc+g4
 gKoo5yulwi1//IcPr/+XAD5+173ha6/7uacMI3DH9MU3EKQik5MHGTYpMLFk
 RZ158zw2Zq+gwByASWWtKJUOU1kD2ZFRWNlhGFYcqqBThlQgEkUgnobidOA3
 NuFVCujVy3yuAaRTR9HRbTYQgo8UDRSnyGfw4JKxZucWsLC4Amgmk7733IVz
 pz/2xON/2UR/6eiv4eFh9eixa3+dVrtteWkOTVps16EjghYlU+TW1jC/siTD
 Js3Y/5liEd7NtyKvB+EYpMlEGsGDxxGKhGUt4C80ULgr4toMUoagphiG5TX0
 ijmocBHhM8Qj8Km0y89yDQ0RhlK9WkepXJFMFaNXipU68Vo3791/6KHBwcE/
 WV9f98Clob9uuuX2QT58yve98Lkzr5JpdiCZSDLWu5haWsBqsYCIFUGarlZH
 xlFXgxh+8XkMkJHCew+iSS4HLWb6NgxaXe0rroKibInsjfSQBWwWCFSFRoQ6
 94AK6J4Lp9OGwzBNDmTojbBkuQbDqVGvkb1MhQTwwWDQ/Ic3z52pbQHIZrPq
 7Xfe/VuJZOqj8/MzfHEVIwyHFi2dY3Ka5PxMJsNkCyM4MAJr3zG00lnkylXE
 3zgDnd4YYBwHyVBwbeiKD5XhpfBnW/FtQEqrSqmBegu65K5QBBhNFkMaEU3q
 wIcYyKSQYqLn1wqo1+uwojEzEom252YuPl+tVn0VXIeOHA9Fo9E7VFont7zI
 ZIqBNR0NKpNKp8gUyS3qUzpN+HPnWKz4mhtvxZlEFuVLl9H81in4//4tTPQa
 GGqsQ3c6MsN8IegvX/xSzDBU0alSaaWPTNyX4vv9eyqq1U2s0TiKpjIPE2g1
 66COLJ7WR/ftPxzZyoEDk0cGzWDoYK/nMPYbSNLaQSuEmJmAEo5CYWgodK85
 MQkvNwNjcALG2C5krSrmjh7FhVdPY8flRezqdrD+5vcxcedtOJSMouQEUAjE
 4QurAvAE11NBrVaESitLl4DSV7xH6V/L2Odz5l9L1hqTFOy6DjzqQUPun9h1
 TRZAXQIgoqhpBCKtVhMegBBZZ2TvJELHb0BbNSSXw+nCp9s9i6yy65AMjxjD
 ZOLEzZiJppE/9S9IvnEWsWwUhS98HvVjxzB2/32IktNLtGJ7/1F42R3QmxVo
 jQogDS/dQ4X7SkNeUEkhPfTE50KRJNJwXHnNVkX0TeFoLJ4BMCsAEJmb0Ayd
 XlNgUMFYJIjUwQ/QzQbE/7l0IbQQwF2LRLesxg6TyZbFnslJzFXWUHp2FunX
 XkE4HoV7/hwKlU10T52Et7oK7H4doXvuhcowZMBvxZNU2+8Lk9eTALhTUZfC
 uiOfNekJhTlIHfvth5ICl0ph0WhoXs8VyGRVVIMRmPEkIoKqVaFuXwyToMLb
 fyuKpMfE8ChGDr8PU9dehwW6urWygshdd0Fl/kTuuQfawUPwpy6i+/WnoYrK
 rMr/3or5vtJSWSotDAqnL6LfcnivwdA2LUsWR7G63baylQO1WlVxyDjReByp
 sQnoh6+THxAlAMcHbA9wuSs/oASqBBFgURvYcwDO8RxeK64iyWSbuI7v0Y97
 8/bb0A4xaV94ASCA0N2fhM/7UvF+uyFCRoKgslIkEAkGzVaLHmhLRmCzKPN0
 s1LeAsAbdaXRqEu2GSUA9jaiUZP0OaCCvEyQLphkfcV9fxtBf+oKkbmy7/sw

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

CMAKE = cmake -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp/opt/marble \
              -DMARBLE_DATA_INSTALL_PATH=$(CURDIR)/debian/tmp/opt/marble/share/marble/data \
              -DQTONLY=ON \
              -DMARBLE_DATA_PATH=/opt/marble/share/marble/data \
              -DMARBLE_PLUGIN_INSTALL_PATH=$(CURDIR)/debian/tmp/opt/marble/lib/marble/plugins \
              -DMARBLE_PLUGIN_PATH=/opt/marble/lib/marble/plugins \
              -DPACKAGE_ROOT_PREFIX=$(CURDIR)/debian/tmp \
              -DCMAKE_SKIP_RPATH=ON \
              -DBUILD_MARBLE_TESTS=OFF \
              -DENABLE_TESTS=FALSE \
              -DCMAKE_BUILD_TYPE=Release \
              -DMOBILE=ON \
              -DBUILD_INHIBIT_SCREENSAVER_PLUGIN=TRUE \
              -DICON_INSTALL_DIR=$(CURDIR)/debian/tmp/usr/share/icons \
              -DAPPS_INSTALL_DIR=$(CURDIR)/debian/tmp/usr/share/applications/hildon \
              $(DEB_SRCDIR)

DEB_MAKE_INSTALL_TARGET = install

DEB_DH_INSTALL_SOURCEDIR = debian/tmp

DEB_DH_SHLIBDEPS_ARGS_ALL = -l$(CURDIR)/debian/tmp/opt/marble/lib

clean::
	-rm -rf CMakeFiles
	-rm -f CMakeCache.txt
	-rm -f CPackConfig.cmake
	-rm -f CPackSourceConfig.cmake
	-rm -f Makefile
	-rm -f cmake_install.cmake
	-rm -f cmake_uninstall.cmake
	-rm -f svnscript.cmake
	-rm -f install_manifest.txt
	-rm -rf data/CMakeFiles
	-rm -f data/cmake_install.cmake
	-rm -f data/Makefile
	-rm -rf src/CMakeFiles
	-rm -f src/Makefile
	-rm -f src/config-marble.h
	-rm -f src/cmake_install.cmake
	-rm -rf src/lib/CMakeFiles
	-rm -f src/lib/Makefile
	-rm -f src/lib/config-libgps.h
	-rm -f src/lib/cmake_install.cmake
	-rm -rf src/tilecreator/data
	-rm -rf src/tilecreator/tiles
	-rm -rf src/tilecreator/CMakeFiles
	-rm -f src/tilecreator/cmake_install.cmake
	-rm -f src/tilecreator/Makefile
	-rm -rf src/plugins/CMakeFiles
	-rm -f src/plugins/Makefile
	-rm -f src/plugins/cmake_install.cmake
	-rm -rf src/plugins/designer/CMakeFiles
	-rm -f src/plugins/designer/Makefile
	-rm -f src/plugins/designer/cmake_install.cmake
	-rm -rf src/plugins/marble/CMakeFiles
	-rm -f src/plugins/marble/Makefile
	-rm -f src/plugins/marble/cmake_install.cmake
	-rm -rf src/plugins/marble/compass/CMakeFiles
	-rm -f src/plugins/marble/compass/Makefile
	-rm -f src/plugins/marble/compass/cmake_install.cmake
	-rm -rf src/plugins/marble/mapscale/CMakeFiles
	-rm -f src/plugins/marble/mapscale/Makefile
	-rm -f src/plugins/marble/mapscale/cmake_install.cmake
	-rm -rf src/plugins/marble/overviewmap/CMakeFiles
	-rm -f src/plugins/marble/overviewmap/Makefile
	-rm -f src/plugins/marble/overviewmap/cmake_install.cmake
	-rm -rf src/plugins/marble/stars/CMakeFiles
	-rm -f src/plugins/marble/stars/Makefile
	-rm -f src/plugins/marble/stars/cmake_install.cmake
	-rm -rf tests/CMakeFiles
	-rm -f tests/Makefile
	-rm -f tests/cmake_install.cmake

common-configure-arch::
	$(CMAKE)

common-install-arch::
	install -D -m u+rw-x,g+r-wx,o+r-wx $(DEB_SRCDIR)/data/icons/hi32-app-marble.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/26x26/apps/marble.png
	install -D -m u+rwx,g+rx-w,o+rx-w $(CURDIR)/debian/marble.sh $(CURDIR)/debian/tmp/opt/marble/bin/marble.sh
	install -D -m u+rw-x,g+r-wx,o+r-wx $(CURDIR)/debian/marble.service $(CURDIR)/debian/tmp/usr/share/dbus-1/services/marble.service
	install -D -m u+rw-x,g+r-wx,o+r-wx $(CURDIR)/debian/migration-warning.txt $(CURDIR)/debian/tmp/opt/marble/share/marble/data/migration-warning.txt
	patch -p0 -d $(DEB_DH_INSTALL_SOURCEDIR) < $(CURDIR)/debian/maemo-launcher.diff

common-binary-post-install-indep::
	rm -f $(CURDIR)/debian/marble-data/usr/share/marble/data/LICENSE.txt

## marble 4.7.1

=== debian/changelog ===
marble (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:16:33 +0200

marble (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 02 Sep 2011 23:41:05 +0200

marble (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 
    - remove missing private symbols from libmarblewidget12.symbols and
      add new symbols.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 23:08:42 +0200

marble (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * New upstrem release candidate
  * Update packaging for split tarball
  * Repack upstream source to include missing license copies

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 11 Jul 2011 15:43:02 +0200

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 pkg-config,
 libgps-dev (>= 2.90),
 libx11-dev,
 libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble

Package: marble
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
 marble-plugins (= ${binary:Version})
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: data files for Marble
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
Breaks: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
Description: plugins for Marble
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: libmarblewidget12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version})
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget12 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libmarblewidget12}
Description: development files for the Marble globe widget library
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: marble-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, marble (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

marble_soversion := $(shell dh_listpackages | sed -n '/^libmarblewidget/{s/^libmarblewidget//p}')
marble_plugin_path = /usr/lib/kde4/plugins/marble/$(marble_soversion)

ifeq ($(DEB_HOST_ARCH),armel)
conf_args += -DWITH_OpenGL=OFF
endif

override_dh_auto_configure:
	$(overridden_command) -- -DWITH_DESIGNER_PLUGIN=ON \
        -DMARBLE_PLUGIN_PATH=$(marble_plugin_path) \
        $(conf_args)

override_dh_installdirs:
	$(overridden_command) -plibmarblewidget$(marble_soversion) $(marble_plugin_path)
	$(overridden_command) --remaining-packages

override_dh_install:
	$(overridden_command) -Xusr/share/kde4/apps/marble/data/LICENSE.txt

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=marble-dbg

## marble 4.7.2

=== debian/changelog ===
marble (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6),
+ kdelibs5-dev (>= 4:4.7),
  pkg-config,
  libgps-dev (>= 2.90),
  libx11-dev,
- libqtwebkit-dev
+ libqtwebkit-dev,
+ qtmobility-dev [linux-any]
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
 
 Package: marble
 Architecture: any
@@ -43,8 +45,8 @@
 Architecture: any
 Section: misc
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
-Breaks: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
+Replaces: libmarble4
+Breaks: libmarble4
 Description: plugins for Marble
  This package contains various plugins for the Marble desktop globe. The Marble
  globe widget library may not be of much use if this package is not installed.

## marble 4.7.4

=== debian/changelog ===
marble (4:4.7.4-1) experimental; urgency=low

  * New upstream release
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4.7.4.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:56:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),

## marble 4.8.2

=== debian/changelog ===
marble (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:08 +0100

marble (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:14:23 +0200

marble (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 
    - update marble-plugins.install for new install location of qml plugins
    - remove missing private symbols from libmarblewidget13.symobls

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 18:28:57 +0100

marble (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:27 +0000

marble (4:4.7.97-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Felix Geyer ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:02 +0000

marble (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - update marble-plugins.install
  
  [ Felix Geyer ]
  * Update symbols files.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 17:12:32 +0100

marble (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:07 +0000

marble (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian
   - Drop build-dep on qtmobility-dev, in universe
   - Drop debian/marble-plugins.install.linux, not built
   - marble-plugins replaces/breaks marble

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:51 +0000

marble (4:4.7.2-0r1) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 25 Sep 2011 19:04:36 +0200

marble (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 14 Oct 2011 23:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8.1),
  pkg-config,
  libgps-dev (>= 2.90),
  libx11-dev,
- libqtwebkit-dev,
- qtmobility-dev [linux-any]
+ libqtwebkit-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
 
 Package: marble
 Architecture: any
@@ -28,6 +30,21 @@
  applications. The Marble widget shows the earth as a sphere but does not
  require hardware acceleration.  A minimal set of geographical data is
  included, so it can be used without an internet connection.
+ .
+ This package is part of the KDE education module.
+
+Package: marble-touch
+Architecture: any
+Section: misc
+Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
+ marble-plugins (= ${binary:Version})
+Description: globe and map widget for tablets
+ Marble is a generic geographical map widget and framework for KDE
+ applications. The Marble widget shows the earth as a sphere but does not
+ require hardware acceleration.  A minimal set of geographical data is
+ included, so it can be used without an internet connection.
+ .
+ This versions of marble is designed for use on tablet computers.
  .
  This package is part of the KDE education module.
 
@@ -45,15 +62,15 @@
 Architecture: any
 Section: misc
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libmarble4
-Breaks: libmarble4
+Replaces: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
+Breaks: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
 Description: plugins for Marble
  This package contains various plugins for the Marble desktop globe. The Marble
  globe widget library may not be of much use if this package is not installed.
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget12
+Package: libmarblewidget13
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version})
@@ -66,8 +83,8 @@
 Package: libmarble-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget12 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libmarblewidget12}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget13 (= ${binary:Version})
+# ${sameVersionDep:libqt4-dev:libmarblewidget13}
 Description: development files for the Marble globe widget library
  This package contains development files for building software that uses the
  Marble globe widget library.

## marble 4.8.4

=== debian/changelog ===
marble (4:4.8.4-3) unstable; urgency=low

  * Team upload.
  * Fix the detection of the QML imports directory, and move the QML stuff
    accordingly; patch fix_qmake_fallback.diff. (Closes: #688755)
  * Do not install marble-touch and its qtcomponents, since they require
    libraries not available in Debian.
  * Add in marble suggests for the various routing services: libqt4-sql-sqlite,
    gosmore, monav-routing-daemon, routino. (Closes: #677058)

 -- Pino Toscano <pino@debian.org>  Tue, 25 Sep 2012 17:30:22 +0200

marble (4:4.8.4-2) unstable; urgency=low

  * Push to unstable

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 22:19:58 +0200

marble (4:4.8.4-1) experimental; urgency=low

  * New upstream release
    - SONAME change of libmarble
    - More plugins
    - Marble-touch
    - KRunner-runner

 -- Sune Vuorela <sune@debian.org>  Sat, 16 Jun 2012 14:16:46 +0200

marble (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 15:49:19 +0100

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 pkg-config,
 libgps-dev (>= 2.90),
 libx11-dev,
 libqtwebkit-dev,
 qtmobility-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git

Package: marble
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
 marble-plugins (= ${binary:Version})
Suggests: libqt4-sql-sqlite, gosmore, monav-routing-daemon, routino
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: data files for Marble
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmarble4
Breaks: libmarble4
Description: plugins for Marble
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: libmarblewidget13
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version})
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget13 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libmarblewidget13}
Description: development files for the Marble globe widget library
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: marble-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, marble (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE education module.
